package formen3;

import java.awt.Color;
import java.awt.Graphics;

public abstract class Form {
    private Color farbe;
    private Punkt refPunkt;

    public Form(Color farbe, Punkt refPunkt) {
        this.farbe = farbe;
        this.refPunkt = refPunkt;
    }
    
    public abstract double getFlaeche();
    public abstract void verschieben(Punkt vektor);
    public abstract void drehen(double winkel);
    public abstract void zeichnen(Graphics g);
    public abstract double getUmfang();

    public Color getFarbe() {
        return farbe;
    }

    public void setFarbe(Color farbe) {
        this.farbe = farbe;
    }

    public Punkt getRefPunkt() {
        return refPunkt;
    }

    public void setRefPunkt(Punkt refPunkt) {
        this.refPunkt = refPunkt;
    }
    
}
